Bug 181314 - Unresolved Compilation Problems
Unresolved Compilation Problems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Foox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-13 09:06 EST by Andrew Overholt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-16 16:04:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2006-02-13 09:06:20 EST
Description of problem:
With the xml-rpc update, I can't query RH Bugzilla.

Version-Release number of selected component (if applicable):
eclipse-platform-3.1.2-1jpp_6fc
eclipse-bugzilla-0.2.0_fc-2.1
gcc-java-4.1.0-0.23
xmlrpc-2.0.1-1jpp_4fc

Steps to Reproduce:
1. Add RH Bugzilla
2. Add a query for all open Fedora Core -> eclipse -> devel bugs
  
Actual results:
Error.  Clicking on query URL gives (typed by hand):

An internal error occurred during: "Background refresh".
Unresolved compilation problems:
  The import org.apache cannot be resolved
  XmlRpcClient cannot be resolved to a type
  xmlrpc cannot be resolved
  e cannot be resolved

Expected results:
No errors.

Additional info:
I think we need some sort of xmlrpc.jar reference in plugin.xml or MANIFEST.MF.
 See org.eclipse.tomcat for reference.  I guess we need to include the jar in
CVS and then we can just symlink to /usr/share/java for the RPM.
Comment 1 Igor Foox 2006-02-13 11:42:21 EST
I can reproduce this. I'll try doing it the way tomcat does, by including the
jar with the plugin and then symlinking it during RPM build.
Comment 2 Igor Foox 2006-02-16 16:04:18 EST
Fixed in Rawhide (eclipse-bugzilla-0.2.2-2). 

Note You need to log in before you can comment on or make changes to this bug.